### Method

# Fwupd Client download_file

#### Declaration [src]

    gboolean
    fwupd_client_download_file (
      FwupdClient* self,
      const gchar* url,
      GFile* file,
      FwupdClientDownloadFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Downloads data from a remote server. The `fwupd_client_set_user_agent()` function should be called before this method is used.

Available since: | 1.5.2

#### Parameters

`url` | `const gchar*`
| The remote URL.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`file` | `GFile`
| A file.
| The data is owned by the caller of the function.
`flags` | `FwupdClientDownloadFlags`
| Download flags, e.g. `FWUPD_CLIENT_DOWNLOAD_FLAG_NONE`.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the file was written.